Package org.codehaus.groovy.runtime.memoize

# Interface EvictableCache.Action<K,V,R>

Type Parameters:
  `K` - key type
  `V` - value type
  `R` - result type

Enclosing interface:
  EvictableCache<K,V>

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface EvictableCache.Action<K,V,R>
Represents the action to deal with the cache

Since:
  3.0.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `R`
  `doWith(EvictableCache<K,V> evictableCache)`
  Deal with the cache

- ## Method Details

  - ### doWith

    R doWith(EvictableCache<K,V> evictableCache)
    Deal with the cache
    Parameters:
      `evictableCache` -